Subject: [PATCH] MX27: Add USB platform devices and resources

From: [email-masked] (Daniel Mack)
Date: Mon, 23 Nov 2009 21:28:19 +0100

On Mon, Nov 23, 2009 at 04:28:13PM -0200, Alan Carvalho de Assis wrote:
> On 11/23/09, Daniel Mack <[email-masked]> wrote:
> >>
> >> I will try to modify it myself. Case you remember someone who already
> >> do that, please let me know.
> >
> > Should be easy to add. All you need to do is modify the parts which are
> > SoC specific, ie, not part of the EHCI spec. See mxc_set_usbcontrol()
> > and check if PORTSC needs some modifications (which I don't believe).
> >
> 
> In fact PORTSC1 is at same offset (0x184), then it should work to
> i.MX27 as well.

Check this register thoroughly - I'd bet there is some difference. Just
add an cpu_is_mx27() block there and fill in the specific definitions.

Daniel